%define alibversion 1.2.9
%define beta	0
%if %{beta}
%define fname	%{name}-%{version}%{beta}
%else
%define fname	%{name}-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) utilities
Name:		alsa-utils
Version:	1.2.9
%if %{beta}
Release:	%mkrel 0.%{beta}.1
%else
Release:	%mkrel 1
%endif
Source:		ftp://ftp.alsa-project.org/pub/utils/%{fname}.tar.bz2
Patch0:		alsa-utils-1.0.27.2-po.patch 
Patch0500:	0500-init-Mute-Beep-by-default.-It-s-annoying.patch
License:	GPLv2
Group:		Sound/Utilities
Url:		https://www.alsa-project.org/

BuildRequires:	kernel-headers >= 2.4.0
BuildRequires:	pkgconfig(alsa) >= %{alibversion}
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(ncurses) 
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	xmlto
BuildRequires:	systemd-units
BuildRequires:	docbook-style-xsl
Requires:	%{_lib}alsa2 >= 2:%{alibversion}
# dependencies for alsaconf:
Requires:	pciutils
# dependencies for alsactl
Requires:	libalsa-data >= %{alibversion}

Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	sound-scripts < 0.61-2

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n	speaker-test
Summary:	ALSA test tool
Group:		Sound/Utilities
Requires:	alsa-utils

%description -n	speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n	alsaconf
Summary:	ALSA configuration tool
Group:		Sound/Utilities
Requires:	alsa-utils
Requires:	whiptail
Requires:	cdialog

%description -n	alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as %{_vendor} will autoconfigure sound cards.

%prep
%setup -q -n %{fname}
%autopatch -p1

%build
%configure --with-systemdsystemunitdir=%{_unitdir} \
	       --with-udev-rules-dir=%{_udevrulesdir}

make all

%install
%make_install mkdir_p="mkdir -p"

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

install -d %{buildroot}%{_localstatedir}/lib/alsa/
touch %{buildroot}%{_localstatedir}/lib/alsa/asound.state

find %{buildroot} -name "*.la" -delete

%pre
# (cg) When first installed/upgraded add the state-daemon config file.
if [ ! -r %{_unitdir}/alsa-state.service ]; then
  if [ ! -d %{_sysconfdir}/alsa ]; then
    mkdir -m 0755 /etc/alsa
  fi
  echo "# Remove this file to disable the alsactl daemon mode" > %{_sysconfdir}/alsa/state-daemon.conf
fi

%post
if [ -s /etc/asound.state -a ! -s /var/lib/alsa/asound.state ] ; then
   mv /etc/asound.state /var/lib/alsa/asound.state
fi

%files
%doc COPYING INSTALL README.md TODO alsamixer/alsamixer.rc.example
%{_unitdir}/alsa-restore.service
%{_unitdir}/alsa-state.service
%{_unitdir}/sound.target.wants/alsa-restore.service
%{_unitdir}/sound.target.wants/alsa-state.service
%{_bindir}/[a-i]*
%{_sbindir}/alsactl
%{_sbindir}/alsabat-test.sh
%{_sbindir}/alsa-info.sh
%{_libdir}/alsa-topology/libalsatplg_module_*
%{_mandir}/man1/[a-i]*
%{_mandir}/man7/alsactl_init.7*
%{_datadir}/alsa/
%dir %{_localstatedir}/lib/alsa/
%{_udevrulesdir}/90-alsa-restore.rules
%ghost %{_localstatedir}/lib/alsa/asound.state

%files -n speaker-test
%{_bindir}/speaker-test
%{_mandir}/man1/speaker-test.*
%{_datadir}/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%{_sbindir}/alsaconf
%{_mandir}/man8/alsaconf.*
%lang(fr) %{_mandir}/fr/man8/alsaconf.*


%changelog
* Sun May 07 2023 luigiwalser <luigiwalser> 1.2.9-1.mga9
+ Revision: 1956155
- 1.2.9

* Tue Oct 25 2022 luigiwalser <luigiwalser> 1.2.8-1.mga9
+ Revision: 1899243
- 1.2.8

* Mon Oct 24 2022 ghibo <ghibo> 1.2.7-2.mga9
+ Revision: 1898848
- Fresh rebuild against latest alsalib

* Tue May 31 2022 luigiwalser <luigiwalser> 1.2.7-1.mga9
+ Revision: 1860894
- 1.2.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Dec 06 2021 luigiwalser <luigiwalser> 1.2.6-1.mga9
+ Revision: 1760960
- 1.2.6

* Mon Jun 14 2021 tmb <tmb> 1.2.5.1-1.mga9
+ Revision: 1730713
- update to 1.2.5.1

* Fri Jun 04 2021 tmb <tmb> 1.2.5-2.mga9
+ Revision: 1729729
- alsactl: fix the nested iteration
- topology: fix potential null pointer from strchr

* Tue Jun 01 2021 luigiwalser <luigiwalser> 1.2.5-1.mga9
+ Revision: 1729060
- 1.2.5

* Wed Oct 21 2020 luigiwalser <luigiwalser> 1.2.4-1.mga8
+ Revision: 1637834
- 1.2.4

* Tue Jun 09 2020 luigiwalser <luigiwalser> 1.2.3-1.mga8
+ Revision: 1591244
- 1.2.3

* Thu Feb 20 2020 luigiwalser <luigiwalser> 1.2.2-1.mga8
+ Revision: 1546094
- 1.2.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.2.1-1.mga8
+ Revision: 1476077
- 1.2.1
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun May 12 2019 luigiwalser <luigiwalser> 1.1.9-1.mga7
+ Revision: 1397338
- 1.1.9

* Thu Jan 10 2019 luigiwalser <luigiwalser> 1.1.8-1.mga7
+ Revision: 1354313
- 1.1.8

* Wed Oct 17 2018 luigiwalser <luigiwalser> 1.1.7-1.mga7
+ Revision: 1321893
- 1.1.7

* Wed Oct 03 2018 umeabot <umeabot> 1.1.6-2.mga7
+ Revision: 1316073
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 luigiwalser <luigiwalser> 1.1.6-1.mga7
+ Revision: 1216072
- 1.1.6

* Fri Nov 24 2017 luigiwalser <luigiwalser> 1.1.5-1.mga7
+ Revision: 1179041
- 1.1.5

* Tue May 16 2017 luigiwalser <luigiwalser> 1.1.4-1.mga6
+ Revision: 1102145
- 1.1.4

* Thu Dec 22 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 1076505
- 1.1.3

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 1045663
- 1.1.2

* Fri Apr 01 2016 tv <tv> 1.1.1-1.mga6
+ Revision: 997372
- adjust file list
- new release

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.1.0-1.mga6
+ Revision: 917364
- alsa-store service obsoleted by other services
+ tv <tv>
- switch to pkgconfig() BRs
- BR pkgconfig(fftw3)
- 1.1.0

* Wed Sep 23 2015 blino <blino> 1.0.29-2.mga6
+ Revision: 882299
- replace locale-dependent glob with explicit file list for doc (and skip ABOUT-NLS)

* Tue Jun 23 2015 luigiwalser <luigiwalser> 1.0.29-1.mga6
+ Revision: 841047
- fix files list
+ tv <tv>
- new release
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 1.0.28-1.mga5
+ Revision: 637901
- drop merged patches
- new release

* Sat Jun 07 2014 pterjan <pterjan> 1.0.27.2-4.mga5
+ Revision: 634375
- Add missing Language header in po files
+ colin <colin>
- Use the proper udev rules dir macro

* Tue Apr 15 2014 colin <colin> 1.0.27.2-3.mga5
+ Revision: 615123
- Fix udev rules dir (spotted by David Walser)

* Wed Jan 15 2014 colin <colin> 1.0.27.2-2.mga4
+ Revision: 566643
- Fix some alsactl bugs (upstream patches)
- Use the alsa-state daemon rather than the one-shot alsa-state service as it runs too often
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 luigiwalser <luigiwalser> 1.0.27.2-1.mga4
+ Revision: 454106
- 1.0.27.2

* Fri May 24 2013 tv <tv> 1.0.27.1-1.mga4
+ Revision: 426578
- adjust file list
- adjust file list
- new release
- new release
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 1.0.26-2.mga3
+ Revision: 319997
- Changed group(s) in line with new policy
- spec clean

* Wed Sep 12 2012 fwang <fwang> 1.0.26-1.mga3
+ Revision: 292485
- new version 1.0.26

* Sat Sep 01 2012 eatdirt <eatdirt> 1.0.25-6.mga3
+ Revision: 287078
- Rebuild for new libncurses (cs_map size mismatch)

* Sat Jul 21 2012 colin <colin> 1.0.25-5.mga3
+ Revision: 273158
- Update for usrmove

* Mon Apr 30 2012 colin <colin> 1.0.25-4.mga2
+ Revision: 234304
- Hopefully silence annoying Beep control on first boot (mga#5183)
- Do not use fake systemd units, let sound-scripts mask them properly.

* Sat Apr 28 2012 tmb <tmb> 1.0.25-3.mga2
+ Revision: 233765
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 1.0.25-2.mga2
+ Revision: 233492
- rebuild for versioned rpm-helper requires

* Thu Jan 26 2012 colin <colin> 1.0.25-1.mga2
+ Revision: 201811
- Add systemdunitdir configure argument
- Fix build related to systemd units.
- Add BR on docbook-style-xsl
- New version: 1.0.25

* Sat Sep 17 2011 colin <colin> 1.0.24.2-5.mga2
+ Revision: 144549
- Add official systemd units
- Add dummy systemd units to override sound-scripts package
+ dmorgan <dmorgan>
- Fix specfile w//o systemd

* Sun Jul 17 2011 dmorgan <dmorgan> 1.0.24.2-4.mga2
+ Revision: 125307
- Enable systemd

* Sat May 21 2011 ahmad <ahmad> 1.0.24.2-3.mga1
+ Revision: 99993
- Replace a reference to mandriva with Mageia

* Tue Apr 05 2011 ahmad <ahmad> 1.0.24.2-2.mga1
+ Revision: 80923
- don't install the udev rule here yet it'll be useful coupled with systemd,
  we don't have systemd yet;
  ACK'ed by coling
- drop patches, applied upstream
- drop _with_systemd macro, meta-task has already been fixed to prefer sysvinit
  over systemd-sysvinit in the chroots
- create (and own) /var/lib/alsa/, for alsactl to be able to use/touch asound.state
- add a %%post section to mv /etc/asound.state to /var/lib/alsa (Fedora)
- install the udev rules (they're not systemd-related)

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.2-1.mga1
+ Revision: 66685
- add one more _with_system switch to fix build
- update to 1.0.24.2 (couldn't find a 1.0.24.1 tarball in upstream ftp)
- alibversion is 1.0.24.1
- fix license
- require '%%{_lib}alsa >= 2:%%alibversion'; the alsa-lib provides from libalsa2
  isn't versionated
- fix the file list

* Tue Jan 25 2011 dmorgan <dmorgan> 1.0.23-4.mga1
+ Revision: 39185
- Backport mdv commit 632514 ( systemd support ( disable for now ) )

* Sun Jan 09 2011 ahmad <ahmad> 1.0.23-3.mga1
+ Revision: 1638
- imported package alsa-utils


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.23-3mdv2011.0
+ Revision: 603176
- rebuild

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.23-2mdv2010.1
+ Revision: 540345
- rebuild so that shared libraries are properly stripped again

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.23-1mdv2010.1
+ Revision: 535804
- New version: 1.0.23

* Sun Dec 20 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.22-1mdv2010.1
+ Revision: 480506
- New version: 1.0.22

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0.21-1mdv2010.0
+ Revision: 423173
- BR ncursesw-devel
- new release

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.20-1mdv2010.0
+ Revision: 374832
- new release
- workaround broken spec_helper
- new release

* Fri Feb 20 2009 Thierry Vignaud <tv@mandriva.org> 1.0.19-1mdv2009.1
+ Revision: 343371
- new release

* Wed Oct 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-1mdv2009.1
+ Revision: 298679
- Final version: 1.0.18
- Drop upstream applied patch

* Sun Sep 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.18-0.rc3.2mdv2009.0
+ Revision: 284629
- fix for a segmentation fault on 'alsactl store'

* Thu Sep 11 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc3.1mdv2009.0
+ Revision: 283649
- Add BuildRequire for xmlto
- New release candidate: 1.0.18rc3

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-1mdv2009.0
+ Revision: 236496
- New version: 1.0.17

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc2.1mdv2009.0
+ Revision: 219554
- new release

* Mon Jun 09 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc1.1mdv2009.0
+ Revision: 217219
- new release

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-1mdv2008.1
+ Revision: 163081
- new release

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-0.rc1.1mdv2008.1
+ Revision: 155930
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-1mdv2008.1
+ Revision: 98943
- new release

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-0.rc1.1mdv2008.0
+ Revision: 80100
- fix requires
- new release

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 1.0.14-3mdv2008.0
+ Revision: 62797
- require the virtual "whiptail" instead of newt for clarity

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-1.rc4.1mdv2008.0
+ Revision: 21555
- move alsactl from /usr/sbin into /sbin/ (#30368)
- new release


* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-1.rc2.1mdv2007.0
+ Revision: 112294
- new release

* Fri Dec 08 2006 Anssi Hannula <anssi@mandriva.org> 1.0.13-2mdv2007.1
+ Revision: 93650
- rebuild for ncurses

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71807
- Import alsa-utils

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Wed Sep 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-3mdv2007.0
- rebuild for new ncurses

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.1mdv2007.0
- new release

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc1.1mdv2007.0
- new release

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop requires on kernel

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- do not generate /etc/asound.names in %%post since it can fail at install time

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.10-2mdk
- Rebuild

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release
- kill patch 0 (merged upstream)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-5mdk
- tag translated man pages (#17431)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-4mdk
- split alsaconf and speaker-test in its own subpackage (smaller minimal install)

* Thu Jul 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-3mdk
- patch 0: backport fixes from 1.0.9a

* Wed Jun 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.9-2mdk
- Fix install on x86_64

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Thu May 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4a.2mdk
- new release
- kill source 1 (merged upstream)

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release
- kill patch 0 (merged upstream)
- source 1: add missing (not packaged) header file
- fix post-script

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.9-0.rc3.3mdk
- fix automake usage and build deps

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.2mdk
- patch 0: add support for the new naming API
- generate the name DB if needed on post-install

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- new release
- kill patch 0 (merged upstream)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release
- workaround buggy build system

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: propagate errors in alsactl when not using -F

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Fri Mar 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- requires cdialog too (#8764) which looks nice than newt interface and
  remove one error message that may confuse the user

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

